tvbrowser.extras.reminderplugin

## Class ReminderFrame

- java.lang.Object
- - tvbrowser.extras.reminderplugin.ReminderFrame

- All Implemented Interfaces:
    java.util.EventListener, javax.swing.event.ChangeListener, WindowClosingIf

      public class ReminderFrame
      extends java.lang.Object
      implements WindowClosingIf, javax.swing.event.ChangeListener

  TV-Browser
  Author:
    Martin Oberhauser

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DONT_REMIND_AGAIN`
    `(package private) static RemindValue` | `DONT_REMIND_AGAIN_VALUE`
    `static int` | `NO_REMINDER`
    `(package private) static RemindValue[]` | `REMIND_AFTER_VALUE_ARR`
    `(package private) static RemindValue[]` | `REMIND_BEFORE_VALUE_ARR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReminderFrame(ReminderList list, java.util.AbstractList<ReminderListItem> reminders, int autoCloseSecs)` Creates a new instance of ReminderFrame.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` The closing method.
    `javax.swing.JRootPane` | `getRootPane()`
    `static java.lang.String` | `getStringForMinutes(int minutes)`
    `void` | `stateChanged(javax.swing.event.ChangeEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DONT_REMIND_AGAIN

          public static final int DONT_REMIND_AGAIN

      See Also:
        Constant Field Values

    - #### NO_REMINDER

          public static final int NO_REMINDER

      See Also:
        Constant Field Values

    - #### DONT_REMIND_AGAIN_VALUE

          static final RemindValue DONT_REMIND_AGAIN_VALUE

    - #### REMIND_AFTER_VALUE_ARR

          static final RemindValue[] REMIND_AFTER_VALUE_ARR

    - #### REMIND_BEFORE_VALUE_ARR

          static final RemindValue[] REMIND_BEFORE_VALUE_ARR

  - ### Constructor Detail

    - #### ReminderFrame

          public ReminderFrame(ReminderList list,
                       java.util.AbstractList<ReminderListItem> reminders,
                       int autoCloseSecs)

      Creates a new instance of ReminderFrame.
      Parameters:
        `list` - The list of all reminders.
        `reminders` - The reminders to show.
        `autoCloseSecs` - The number seconds to wait before auto-closing the window. -1 disables auto-closing.

  - ### Method Detail

    - #### close

          public void close()

      Description copied from interface: `WindowClosingIf`
      The closing method.
      Specified by:
        `close` in interface `WindowClosingIf`

    - #### getRootPane

          public javax.swing.JRootPane getRootPane()

      Specified by:
        `getRootPane` in interface `WindowClosingIf`
      Returns:
        The RootPane to register the Escape key action with.

    - #### getStringForMinutes

          public static java.lang.String getStringForMinutes(int minutes)

    - #### stateChanged

          public void stateChanged(javax.swing.event.ChangeEvent e)

      Specified by:
        `stateChanged` in interface `javax.swing.event.ChangeListener`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)